[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLScript.Terminator

Terminator character.

## Declaration

Source position: sqldb.pp line 752

`published property TSQLScript.Terminator;`

## Description

Terminator is the character used by TSQLScript to delimit SQL statements. By default it equals the semicolon (;), which is the customary SQL command terminating character. By itself TSQLScript does not recognize complex statements such as Create Procedure which can contain terminator characters such as ";". Instead, TSQLScript will scan the script for the Terminator character. Using directives such as SET TERM the terminator character may be changed in the script.

## See also

OnDirective |  | Event handler if a directive is encountered
Directives |  | List of directives